library(mixtools)
head(faithful)
# Waiting time between eruptions and the duration of the eruption for the Old Faithful
# geyser in Yellowstone National Park, Wyoming, USA.

# eruptions: (numeric)	Eruption time in mins
# waiting: (numeric)	Waiting time to next eruption (in mins)


waiting = faithful$waiting
log.eruptions =log(faithful$eruptions)
hist(log.eruptions)
# Looking at the histogram we observe note the existence of two mixture components.
# Toy example: let assume k=2 (usually k have to be estimated)

mixmdl = normalmixEM(log.eruptions, k=2)
str(mixmdl)
mixmdl$lambda
sum(mixmdl$lambda)
mixmdl$mu
mixmdl$sigma
plot(mixmdl,which=2)

plot(waiting,log.eruptions)
mod1<-lm(eruptions~waiting)
summary(mod1)
plot(waiting,eruptions)
abline(mod1, col='red', lwd=3)

library(mixreg)
mixturereg<-mixreg(x=waiting, y=eruptions, ncomp = 2, itmax = Inf,seed=140)
mixturereg$converged
mixturereg$theta
plot(mixturereg)
#Not very interesting results.




####### Another data set ##########
#The data set aphids is a data frame with 51 rows and 2 columns. 
#The rows correspond to 51 independent experiments in which varying numbers of aphids 
#were released in a flight chamber containing 12 infected and 69 healthy tobacco plants. 
#The resulting number of infected plants (amongst those previously healthy) was recorded.

# aphRel = The number of aphids released in the flight chamber in each instance.

# plntsInf = The resulting number (out of a possible 69) of infected plants

data<-aphids
hist(data$plntsInf)
plot(data$plntsInf,data$aphRel)
fit1   <- mixreg(x=aphRel,y=plntsInf,ncomp=3,seed=140,data=aphids)
plot(fit1)
fit1$theta

